Page MenuHomePhabricator

[LAA] Support runtime checks for select GEP base pointers.
ClosedPublic

Authored by fhahn on Nov 23 2021, 4:02 PM.

Details

Summary

Scaffolding support for generating runtime checks for multiple SCEV expressions
per pointer. The initial version just adds support for looking through
a single select.

The more sophisticated logic for analyzing forks is in D108699

Diff Detail

Event Timeline

fhahn created this revision.Nov 23 2021, 4:02 PM
fhahn requested review of this revision.Nov 23 2021, 4:02 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 23 2021, 4:02 PM
fhahn retitled this revision from [LAA] Support runtime checks for select GEP base pointers. to [LAA] Support runtime checks for select GEP base pointers. (WIP).Nov 23 2021, 4:14 PM
fhahn updated this revision to Diff 390350.Nov 29 2021, 7:25 AM

rebased on top of precommitted tests, simplified code

fhahn edited the summary of this revision. (Show Details)Nov 29 2021, 1:58 PM
fhahn added reviewers: Ayal, anemet, david-arm, huntergr.
bsmith added a subscriber: bsmith.Feb 28 2022, 3:01 AM
fhahn updated this revision to Diff 421813.Apr 10 2022, 2:57 PM

Rebase and stripped down logic for translating pointers to bare minimum.

Herald added a project: Restricted Project. · View Herald TranscriptApr 10 2022, 2:57 PM
fhahn retitled this revision from [LAA] Support runtime checks for select GEP base pointers. (WIP) to [LAA] Support runtime checks for select GEP base pointers..Apr 11 2022, 4:28 AM
fhahn edited the summary of this revision. (Show Details)
huntergr accepted this revision.Wed, May 4, 1:42 AM

LGTM

This revision is now accepted and ready to land.Wed, May 4, 1:42 AM
This revision was landed with ongoing or failed builds.Thu, May 12, 11:34 AM
This revision was automatically updated to reflect the committed changes.